Get one course you can open
GET /api/member/courses/{courseId}. Get one course you can open. Headless LMS Content API reference.
For a member of the organization. 404 when the course is not published or you do not hold it.
Path Parameters
courseId*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/member/courses/string"{ "orgId": "string", "id": "string", "type": "course", "title": "string", "slug": "string", "description": "string", "status": "draft", "category": "string", "thumbnailAssetId": "string", "settings": { "transcriptDownloads": true, "comments": { "enabled": true, "threaded": true, "requireReview": true, "reactions": true } }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "thumbnailUrl": "string"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}List the courses you can open GET
GET /api/member/courses. List the courses you can open. Headless LMS Content API reference.
List the modules and activities of a course you can open GET
GET /api/member/courses/{courseId}/modules. List the modules and activities of a course you can open. Headless LMS Content API reference.